@use '../stylesheets/mpa-mixins' as mpa-mixin;

// MPA-CARD
.mpa-card {
    // height: min(fit-content,85vh);
    width: 75vw;
    margin-left: auto;
    margin-right: auto;

    & .mpa-card-header {
        height: 5rem;
        width: 100%;
        padding-bottom: 1rem;
        margin-bottom: 2rem;
        border: 1px solid;
        border-top-left-radius: 3px;
        border-top-right-radius: 3px;
        @include mpa-mixin.mpa-accent-background-and-border-color(100,100);

        display: grid;
        grid-template-columns: [title] 60% [buttons] 40%;
        grid-template-rows: 100%;

        & .mpa-card-title {
           justify-self: start;

           & .mpa-card-title-name-button {
            font-size: x-small;
            min-width: fit-content;
            min-height: fit-content;
           }
        }

        & .mpa-card-header-buttons {
            display: flex;
            flex-direction: row;
            justify-content:flex-end;
            gap: 1em;
            padding-right: 5%;
            & button.square-button {
                align-self: center;
            }
        }
    }

    & .mpa-card-content {
        height: 100%;
        width: 100%;

        & .mpa-button-row{
          display: flex;
          flex-direction: row;
          justify-content: flex-start;
          gap: 2vw;
          padding-left: 2em;
        }
    }
  }

  // BUTTONS
  .square-button {
    justify-content: center !important;
    min-width: 0px !important;
    & mat-icon {
        font-size: 1em;
        margin: auto;
        color: white;
        margin: auto !important;
    }
  }

  .rectangular-button {
    height: 2rem;
    width: max(fit-content, 10rem);
    padding: 0.5rem;
    & mat-icon {
        margin: auto;
        color: white;
    }
  }

  // TABLE
  .mpa-overview-table {
    margin: auto; // possibly exchange for position: relative to prevent it from moving around when description size changes
    margin-bottom: 2vh;
    margin-top: 2vh;
    width: 70%;
    table-layout: fixed; // prevent columns from growing and shrinking (especially when description is entered / deleted)
    font-size: 15px;

    & th,
    td {
        text-align: left;
        padding: 0.75rem;
        cursor: default;
    }

    & tr:hover {
        @include mpa-mixin.mpa-accent-background-and-border-color(50, 50);
    }

    & .text-area {
        width: 100%;
        min-height: 4rem;
        max-height: 15rem;
        overflow-y: auto;
        overflow-x: hidden;
        resize: vertical;
    }
  }

// RE-USABLE, RE-SIZABLE COLORED TEXT INPUT AREA, dimensions have to be set
.text-area {
    background-color: rgb(243, 235, 225);
    border: 1px solid rgb(243, 235, 225);
    border-radius: 4px;
    padding: 0.25rem; // separates written text from borders of text-area to enhance visibility
    cursor: text;
    word-wrap: break-word; // these two seem to be essential in preventing the text-are to grow indefinitely
    word-break: break-all;
    overflow-y: auto;
    overflow-x: hidden;
}
